Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadTab=function(){
Telerik.Web.UI.RadTab.initializeBase(this);
this._properties=new Telerik.Web.UI.PropertyBag(this);
};
Telerik.Web.UI.RadTab.prototype={_requiresScrolling:function(){
return this.get_tabStrip()._tabContainerRequiresScrolling(this);
},_createChildControls:function(){
this._children=new Telerik.Web.UI.RadTabCollection(this);
Telerik.Web.UI.RadTabStrip._createChildControls(this,this._children);
},_getChildListIndex:function(){
if(!this.get_tabData()){
return -1;
}
var _1=-1;
var _2=[];
if(this.get_parent()!=this.get_tabStrip()){
var _3=this.get_parent().get_parent()._children;
_3.forEach(function(_4){
Array.addRange(_2,_4._children._array);
});
}else{
_2=this.get_parent()._children._array;
}
var _5=Array.indexOf(_2,this);
for(var i=0;i<=_5;i++){
var _7=_2[i];
if(_7.get_tabData()){
_1++;
}
}
return _1;
},_ensureElements:function(){
if(!this.get_childListElement()){
this._createChildListElement();
}
},_createChildListElement:function(){
var _8=document.createElement("ul");
_8.className="rtsUL";
var _9=this._getListItemsForTheCurrentLevel();
if(!_9){
this.get_parent()._ensureElements();
this.get_tabStrip()._createLevelElement(this.get_level()+2);
_9=this._getListItemsForTheCurrentLevel();
}
this._requireChildList();
this.get_levelElement().insertBefore(_8,_9[this._getChildListIndex()]||null);
Array.insert(_9,this._getChildListIndex(),_8);
return _8;
},_shouldInitializeChild:function(_a){
return true;
},_getListItemsForTheCurrentLevel:function(){
return this.get_tabStrip()._getListElementsForLevel(this._getLevelIndex());
},_getChildElements:function(){
return $telerik.getChildrenByTagName(this.get_childListElement(),"li");
},_requireChildList:function(){
this._itemData=[];
},_doesNotRequireChildList:function(){
this._itemData=null;
},_destroyChildListElement:function(){
this.get_tabStrip()._destroyChildren(this);
this._doesNotRequireChildList();
},_renderSeparator:function(_b){
_b[_b.length]="<li class='rtsLI rtsSeparator'>";
_b[_b.legnth]=this.get_text();
_b[_b.length]="</li>";
},_renderTab:function(_c){
_c[_c.length]="<li class='rtsLI";
if(this.get_isFirst()){
_c[_c.length]=" rtsFirst";
}
if(this.get_isLast()){
_c[_c.length]=" rtsLast";
}
_c[_c.length]="'><a ";
if(this.get_target()){
_c[_c.length]="target='";
_c[_c.length]=this.get_target();
_c[_c.length]="' ";
}
_c[_c.length]="href='";
if(this.get_navigateUrl()){
_c[_c.length]=this.get_navigateUrl();
}else{
_c[_c.length]="#";
}
_c[_c.length]="' class='";
_c[_c.length]=this._determineCssClass(this.get_index());
_c[_c.length]="'><span class='rtsOut'><span class='rtsIn'>";
var _d=this._determineImage();
if(_d){
_c[_c.length]="<img alt='' class='rtsImg' src='";
_c[_c.length]=_d;
_c[_c.length]="' />";
}
_c[_c.length]="<span class='rtsTxt'>";
_c[_c.length]=this.get_text();
_c[_c.length]="</span></span></span></a></li>";
},_determineCssClass:function(_e){
var _f=[];
var _10=this.get_parent().get_selectedIndex();
_f[_f.length]="rtsLink";
if(this.get_cssClass()){
_f[_f.length]=this.get_cssClass();
}
if(_e==_10){
_f[_f.length]="rtsSelected";
if(this.get_selectedCssClass()){
_f[_f.length]=this.get_selectedCssClass();
}
}
if(!this.get_enabled()){
_f[_f.length]="rtsDisabled";
if(this.get_disabledCssClass()){
_f[_f.length]=this.get_disabledCssClass();
}
}
if(_10>-1){
if(_10-1==_e){
_f[_f.length]="rtsBefore";
}
if(_10+1==_e){
_f[_f.length]="rtsAfter";
}
}
return _f.join(" ");
},_render:function(_11){
if(this.get_isSeparator()){
this._renderSeparator(_11);
}else{
this._renderTab(_11);
}
this._updateSiblings();
if(this.get_tabs().get_count()>0){
this._renderChildren();
}
},_updateSiblings:function(_12){
var _13=this.get_index();
var _14=this.get_parent().get_tabs();
var _15=_14.getTab(_13-1);
if(_15){
_15._updateAppearance(_12);
}
var _16=_14.getTab(_13+1);
if(_16){
_16._updateAppearance(_12);
}
},_renderChildren:function(){
var _17=this._createChildListElement();
var _18=[];
this.get_tabs().forEach(function(tab){
tab._render(_18);
});
_17.innerHTML=_18.join("");
},_cacheDomProperties:function(){
this.get_text();
this.get_navigateUrl();
},_cleanElements:function(){
this._cacheDomProperties();
this.get_tabs().forEach(function(tab){
tab._cacheDomProperties();
tab._cleanElements();
});
this.get_parent().get_childListElement().removeChild(this.get_element());
this._element=null;
if($telerik.getChildrenByTagName(this.get_parent().get_childListElement(),"li")<1){
this.get_parent()._destroyChildListElement();
}
},_getLevelIndex:function(){
if(this.get_tabStrip()._ascendingRendering()){
return this.get_level()+1;
}
return this.get_tabStrip()._getLevelElements().length-this.get_level()-2;
},_updateAppearance:function(_1b){
if(!this.get_element()){
return;
}
var _1c=this.get_index();
this._setCssClass(this.get_linkElement(),this._determineCssClass(_1c));
this._updateImage();
if(_1b){
return;
}
var _1d="rtsLI";
if(_1c==0){
_1d+=" rtsFirst";
}
if(_1c==this.get_parent().get_tabs().get_count()-1){
_1d+=" rtsLast";
}
this._setCssClass(this.get_element(),_1d);
},_determineImage:function(){
var _1e=this.get_imageUrl();
if(this.get_selected()&&this.get_selectedImageUrl()){
_1e=this.get_selectedImageUrl();
}
if(!this.get_enabled()&&this.get_disabledImageUrl()){
_1e=this.get_disabledImageUrl();
}
return _1e;
},_updateImage:function(){
if(!this.get_element()){
return;
}
var _1f=this._determineImage();
if(!_1f){
return;
}
if(!this.get_imageElement()){
var _20=document.createElement("img");
_20.className="rtsImg";
_20.alt="";
this.get_innerWrapElement().insertBefore(_20,this.get_textElement());
}
if(this.get_imageElement().src!=_1f){
this.get_imageElement().src=_1f;
}
},_setChildListDisplay:function(_21){
var _22=this.get_tabStrip();
var _23=this;
while(_23){
var _24=_23.get_childListElement();
if(_24){
_24.style.display=_21;
if(_21!="none"&&_22._align==Telerik.Web.UI.TabStripAlign.Justify){
Telerik.Web.UI.RadTabStrip._justify(_24,_22._orientation);
}
}
_23=_23.get_selectedTab();
}
},_highlight:function(){
if(this.get_hoveredCssClass()){
Sys.UI.DomElement.addCssClass(this.get_linkElement(),this.get_hoveredCssClass());
}
if(!this.get_enabled()){
return;
}
if(!this.get_hoveredImageUrl()){
return;
}
if(!this.get_imageElement()){
return;
}
if(this.get_imageElement().src!=this.get_hoveredImageUrl()){
this.get_imageElement().src=this.get_hoveredImageUrl();
}
},_unhighlight:function(){
if(this.get_hoveredCssClass()){
Sys.UI.DomElement.removeCssClass(this.get_linkElement(),this.get_hoveredCssClass());
}
this._updateImage();
},_shouldPostBack:function(){
var _25=this.get_tabStrip();
if(!_25){
return false;
}
return this.get_postBack()&&_25._postBackReference!=null;
},_initialize:function(_26,_27){
Telerik.Web.UI.RadTab.callBaseMethod(this,"_initialize",[_26,_27]);
this._perTabScrolling=this._properties.getValue("perTabScrolling",false);
this._scrollChildren=this._properties.getValue("scrollChildren",false);
this._scrollButtonsPosition=this._properties.getValue("scrollButtonsPosition",Telerik.Web.UI.TabStripScrollButtonsPosition.Right);
this._ensureChildControls();
},_dispose:function(){
Telerik.Web.UI.RadTab.callBaseMethod(this,"_dispose");
if(this._scroller){
this._scroller.dispose();
}
},_initScrolling:function(){
if(this.get_selected()&&this._requiresScrolling()){
this.get_tabStrip()._initScrollingForTabContainer(this);
}
},_selectPageView:function(_28){
var _29=this.get_pageView();
if(_29){
_29._select(_28);
}
},_getGlobalIndex:function(){
return Array.indexOf(this.get_tabStrip().get_allTabs(),this);
},get_nextTab:function(){
return this.get_nextSibling();
},get_previousTab:function(){
return this.get_previousSibling();
},click:function(e){
if(!this.get_isEnabled()){
return false;
}
var _2b=this.get_tabStrip();
if(!_2b){
return false;
}
if(_2b.get_causesValidation()){
if(typeof (Page_ClientValidate)!=="undefined"&&!Page_ClientValidate(_2b.get_validationGroup())){
return false;
}
}
if(!this.select(e)){
return false;
}
if(this._shouldNavigate()){
return true;
}
if(this._shouldPostBack()){
_2b._postback(this);
}
return false;
},get_pageView:function(){
var _2c=this.get_tabStrip().get_multiPage();
if(!_2c){
return null;
}
if(this.get_pageViewID()){
return _2c.findPageViewByID(this.get_pageViewID());
}
return _2c.get_pageViews().getPageView(this._getGlobalIndex());
},get_pageViewID:function(){
return this._properties.getValue("pageViewID",null);
},set_pageViewID:function(_2d){
this._properties.setValue("pageViewID",_2d);
},get_target:function(){
if(this.get_linkElement()){
return this._properties.getValue("target",this.get_linkElement().target);
}
return this._properties.getValue("target",null);
},set_target:function(_2e){
this._properties.setValue("target",_2e,true);
if(this.get_linkElement()){
this.get_linkElement().target=_2e;
}
},get_navigateUrl:function(){
return this._getNavigateUrl();
},set_navigateUrl:function(_2f){
this._properties.setValue("navigateUrl",_2f,true);
if(this.get_linkElement()){
this.get_linkElement().href=_2f;
}
},get_postBack:function(){
return this._properties.getValue("postback",true);
},set_postBack:function(_30){
this._properties.setValue("postback",_30,true);
},get_selected:function(){
if(!this.get_parent()){
return false;
}
return this.get_index()==this.get_parent().get_selectedIndex();
},set_selected:function(_31){
if(_31){
this.select();
}else{
this.unselect();
}
},selectParents:function(){
var _32=[];
var _33=this;
while(_33!=this.get_tabStrip()){
_32[_32.length]=_33;
_33=_33.get_parent();
}
var i=_32.length;
while(i--){
_32[i].select();
}
},select:function(e){
var _36=this.get_parent();
if(!_36){
this._cachedSelected=true;
return true;
}
var _37=this._shouldNavigate();
var _38=_36.get_selectedTab();
var _39=this.get_tabStrip();
if(!_37&&_38==this&&!_39.get_clickSelectedTab()){
return false;
}
if(_39._raiseCancelEvent("tabSelecting",this,e)){
return false;
}
var _3a=this._shouldPostBack()||_37;
if(_38&&_38!=this){
_38.unselect(_3a,e);
}
_36.set_selectedIndex(this.get_index());
_39._registerSelectedTab(this);
if(!_3a){
this._updateAppearance(true);
this._updateSiblings(true);
this._setChildListDisplay("");
if(this._scroller){
this._scroller._showArrows();
}else{
_39._scrollInitInProgress=true;
this._initScrolling();
_39._scrollInitInProgress=false;
}
if(_39._reorderTabsOnSelect){
Telerik.Web.UI.RadTabStrip._reorderTabs(_36.get_childListElement(),this.get_element());
}
}
this._selectPageView(_3a);
_39._raiseEvent("tabSelected",this,e);
return true;
},unselect:function(_3b,e){
var _3d=this.get_parent();
if(!_3d){
return;
}
if(!this.get_selected()){
return;
}
_3d.set_selectedIndex(-1);
var _3e=this.get_tabStrip();
_3e._unregisterSelectedTab(this);
if(!_3b){
this._setChildListDisplay("none");
if(this._scroller){
this._scroller._hideArrows();
}
this._updateAppearance(true);
this._updateSiblings(true);
}
var _3f=this.get_selectedTab();
if(_3e.get_unselectChildren()&&_3f){
_3f.unselect(_3b);
}
_3e._raiseEvent("tabUnSelected",this,e);
},get_selectedIndex:function(){
return this._properties.getValue("selectedIndex",-1);
},set_selectedIndex:function(_40){
this._properties.setValue("selectedIndex",_40);
},get_selectedTab:function(){
return this.get_tabs().getTab(this.get_selectedIndex())||null;
},get_tabStrip:function(){
return this._getControl();
},get_isSeparator:function(){
return this._properties.getValue("isSeparator",false);
},set_isSeparator:function(_41){
this._properties.setValue("isSeparator",_41);
},get_tabData:function(){
return this.get_itemData();
},get_levelElement:function(){
if(!this._levelElement){
this._levelElement=this._getControl()._getLevelElements()[this._getLevelIndex()]||null;
}
return this._levelElement;
},get_textElement:function(){
if(this.get_isSeparator()){
return this.get_element();
}
if(!this.get_innerWrapElement()){
return null;
}
if(!this._textElement){
this._textElement=$telerik.getChildByClassName(this.get_innerWrapElement(),"rtsTxt");
}
return this._textElement;
},get_linkElement:function(){
if(!this.get_element()){
return null;
}
if(!this._linkElement){
this._linkElement=$telerik.getChildByClassName(this.get_element(),"rtsLink");
}
return this._linkElement;
},get_imageElement:function(){
if(!this.get_innerWrapElement()){
return null;
}
if(!this._imageElement){
this._imageElement=$telerik.getChildByClassName(this.get_innerWrapElement(),"rtsImg");
}
return this._imageElement;
},get_outerWrapElement:function(){
if(!this.get_linkElement()){
return null;
}
if(!this._outerWrapElement){
this._outerWrapElement=$telerik.getChildByClassName(this.get_linkElement(),"rtsOut");
}
return this._outerWrapElement;
},get_innerWrapElement:function(){
if(!this.get_outerWrapElement()){
return null;
}
if(!this._innerWrapElement){
this._innerWrapElement=$telerik.getChildByClassName(this.get_outerWrapElement(),"rtsIn");
}
return this._innerWrapElement;
},get_childListElement:function(){
if(!this._childListElement){
var _42=this._getListItemsForTheCurrentLevel();
if(!_42){
return null;
}
this._childListElement=_42[this._getChildListIndex()]||null;
}
return this._childListElement;
},get_tabs:function(){
return this._getChildren();
},enable:function(){
this.set_enabled(true);
},disable:function(){
this.set_enabled(false);
},set_enabled:function(_43){
Telerik.Web.UI.RadTab.callBaseMethod(this,"set_enabled",[_43]);
this._updateAppearance();
},get_disabledCssClass:function(){
return this._properties.getValue("disabledCssClass",null);
},set_disabledCssClass:function(_44){
this._properties.setValue("disabledCssClass",_44,true);
this._updateAppearance();
},get_selectedCssClass:function(){
return this._properties.getValue("selectedCssClass",null);
},set_selectedCssClass:function(_45){
this._properties.setValue("selectedCssClass",_45,true);
this._updateAppearance();
},get_hoveredCssClass:function(){
return this._properties.getValue("hoveredCssClass",null);
},set_hoveredCssClass:function(_46){
this._properties.setValue("hoveredCssClass",_46,true);
},get_cssClass:function(){
return this._properties.getValue("cssClass",null);
},set_cssClass:function(_47){
this._properties.setValue("cssClass",_47,true);
this._updateAppearance();
},get_imageUrl:function(){
return this._properties.getValue("imageUrl",null);
},set_imageUrl:function(_48){
this._properties.setValue("imageUrl",_48,true);
this._updateImage();
},get_selectedImageUrl:function(){
return this._properties.getValue("selectedImageUrl",null);
},set_selectedImageUrl:function(_49){
this._properties.setValue("selectedImageUrl",_49,true);
this._updateImage();
},get_disabledImageUrl:function(){
return this._properties.getValue("disabledImageUrl",null);
},set_disabledImageUrl:function(_4a){
this._properties.setValue("disabledImageUrl",_4a,true);
this._updateImage();
},get_hoveredImageUrl:function(){
return this._properties.getValue("hoveredImageUrl",null);
},set_hoveredImageUrl:function(_4b){
this._properties.setValue("hoveredImageUrl",_4b,true);
},get_isBreak:function(){
return this._properties.getValue("isBreak",false);
},set_isBreak:function(_4c){
this._properties.setValue("isBreak",_4c,true);
}};
Telerik.Web.UI.RadTab.registerClass("Telerik.Web.UI.RadTab",Telerik.Web.UI.ControlItem);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadTabCollection=function(_4d){
Telerik.Web.UI.RadTabCollection.initializeBase(this,[_4d]);
};
Telerik.Web.UI.RadTabCollection.prototype={getTab:function(_4e){
return this.getItem(_4e);
}};
Telerik.Web.UI.RadTabCollection.registerClass("Telerik.Web.UI.RadTabCollection",Telerik.Web.UI.ControlItemCollection);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.TabStripOrientation=function(){
};
Telerik.Web.UI.TabStripOrientation.prototype={HorizontalTop:0,HorizontalBottom:1,VerticalRight:2,VerticalLeft:3};
Telerik.Web.UI.TabStripOrientation.isHorizontal=function(_4f){
return _4f==Telerik.Web.UI.TabStripOrientation.HorizontalTop||_4f==Telerik.Web.UI.TabStripOrientation.HorizontalBottom;
};
Telerik.Web.UI.TabStripOrientation.isVertical=function(_50){
return !Telerik.Web.UI.TabStripOrientation.isHorizontal(_50);
};
Telerik.Web.UI.TabStripOrientation.registerEnum("Telerik.Web.UI.TabStripOrientation");
Telerik.Web.UI.TabStripAlign=function(){
};
Telerik.Web.UI.TabStripAlign.prototype={Left:0,Center:1,Right:2,Justify:3};
Telerik.Web.UI.TabStripAlign.registerEnum("Telerik.Web.UI.TabStripAlign");
Telerik.Web.UI.TabStripScrollButtonsPosition=function(){
};
Telerik.Web.UI.TabStripScrollButtonsPosition.prototype={Left:0,Middle:1,Right:2};
Telerik.Web.UI.TabStripScrollButtonsPosition.registerEnum("Telerik.Web.UI.TabStripScrollButtonsPosition");
Telerik.Web.UI.RadTabStripCancelEventArgs=function(tab,_52){
Telerik.Web.UI.RadTabStripCancelEventArgs.initializeBase(this);
this._tab=tab;
this._domEvent=_52;
};
Telerik.Web.UI.RadTabStripCancelEventArgs.prototype={get_tab:function(){
return this._tab;
},get_domEvent:function(){
return this._domEvent;
}};
Telerik.Web.UI.RadTabStripCancelEventArgs.registerClass("Telerik.Web.UI.RadTabStripCancelEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.RadTabStripEventArgs=function(tab,_54){
Telerik.Web.UI.RadTabStripEventArgs.initializeBase(this);
this._tab=tab;
this._domEvent=_54;
};
Telerik.Web.UI.RadTabStripEventArgs.prototype={get_tab:function(){
return this._tab;
},get_domEvent:function(){
return this._domEvent;
}};
Telerik.Web.UI.RadTabStripEventArgs.registerClass("Telerik.Web.UI.RadTabStripEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadTabStrip=function(_55){
Telerik.Web.UI.RadTabStrip.initializeBase(this,[_55]);
this._childTypeName="Telerik.Web.UI.RadTab";
this._orientation=Telerik.Web.UI.TabStripOrientation.HorizontalTop;
this._align=Telerik.Web.UI.TabStripAlign.Left;
this._selectedIndex=-1;
this._selectedIndexes=[];
this._selectedIndexesJson="[]";
this._logEntriesJson="[]";
this._scrollState={};
this._scrollStateJson="{}";
this._multiPageID=null;
this._causesValidation=true;
this._validationGroup=null;
this._postBackReference=null;
this._scrollChildren=false;
this._scrollButtonsPosition=Telerik.Web.UI.TabStripScrollButtonsPosition.Right;
this._perTabScrolling=false;
this._reorderTabsOnSelect=false;
this._skin=null;
};
Telerik.Web.UI.RadTabStrip._getTabGroups=function(_56,_57){
var _58=[];
var _59=[];
_59.size=0;
Array.add(_58,_59);
var _5a=$telerik.getChildrenByTagName(_56,"li");
for(var i=0;i<_5a.length;i++){
if(_5a[i].className=="rtsBreak"){
_59=[];
_59.size=0;
Array.add(_58,_59);
continue;
}
_59.size+=_5a[i][_57];
Array.add(_59,_5a[i]);
}
return _58;
};
Telerik.Web.UI.RadTabStrip._reorder=function(_5c,_5d){
var _5e=$get(_5c);
if(!_5e){
return;
}
var _5f=$telerik.getChildByClassName(_5e,"rtsLevel1");
if(!_5f){
return;
}
var _60=$telerik.getFirstChildByTagName(_5f,"ul");
if(!_60){
return;
}
var _61=$telerik.getChildrenByClassName(_60,"rtsLI");
var _62=_61[_5d];
if(!_62){
return;
}
Telerik.Web.UI.RadTabStrip._reorderTabs(_60,_62);
};
Telerik.Web.UI.RadTabStrip._reorderTabs=function(_63,_64){
var _65=Telerik.Web.UI.RadTabStrip._getTabGroups(_63);
if(_65.length<2){
return;
}
var _66=_65[_65.length-1];
var _67=null;
for(var i=0;i<_65.length;i++){
if(Array.indexOf(_65[i],_64)>-1){
_67=_65[i];
break;
}
}
if(!_67||_67==_66){
return;
}
for(var i=0;i<_66.length;i++){
_63.insertBefore(_66[i],_67[0]);
}
for(var i=0;i<_67.length;i++){
_63.appendChild(_67[i]);
}
};
Telerik.Web.UI.RadTabStrip._align=function(_69,_6a,_6b){
var _6c=$get(_69);
if(_6a!=Telerik.Web.UI.TabStripAlign.Justify&&Telerik.Web.UI.TabStripOrientation.isHorizontal(_6b)){
return;
}
if(_6a==Telerik.Web.UI.TabStripAlign.Left||_6c._aligned){
return;
}
if(_6a==Telerik.Web.UI.TabStripAlign.Justify){
Telerik.Web.UI.RadTabStrip._justifyTabStrip(_6c,_6b);
return;
}
Telerik.Web.UI.RadTabStrip._verticalAlign(_6c,_6a,_6b);
};
Telerik.Web.UI.RadTabStrip._justifyTabStrip=function(_6d,_6e){
var _6f=$telerik.getChildrenByTagName(_6d,"div");
if(_6f.length<1){
return;
}
for(var _70=0;_70<_6f.length;_70++){
var _71=_6f[_70];
var _72=$telerik.getChildrenByTagName(_71,"ul");
if(_72.length<1){
return;
}
for(var i=0;i<_72.length;i++){
Telerik.Web.UI.RadTabStrip._justify(_72[i],_6e);
}
}
};
Telerik.Web.UI.RadTabStrip._justify=function(_74,_75){
var _76="offsetWidth";
var _77=function(_78,_79){
_78.style.width=_79+"px";
};
if(Telerik.Web.UI.TabStripOrientation.isVertical(_75)){
_76="offsetHeight";
_77=function(_7a,_7b){
_7a.firstChild.firstChild.firstChild.style.height=_7b+"px";
var _7c=_7a.offsetHeight-_7b;
if(_7c>0){
_7a.firstChild.firstChild.firstChild.style.height=_7b-_7c+"px";
}
};
}
Telerik.Web.UI.RadTabStrip._justifyListElement(_74,_76,_77);
};
Telerik.Web.UI.RadTabStrip._justifyListElement=function(_7d,_7e,_7f){
var _80=_7d.parentNode[_7e];
if(_80<=0){
return;
}
var _81=Telerik.Web.UI.RadTabStrip._getTabGroups(_7d,_7e);
for(var _82=0;_82<_81.length;_82++){
var _83=_81[_82];
if(_83.size<=0){
continue;
}
var _84=[];
for(var i=0;i<_83.length;i++){
_84[i]=_83[i][_7e]/_83.size;
}
var _86=0;
var i=0;
for(;i<_83.length-1;i++){
var _87=Math.round(_80*_84[i]);
_7f(_83[i],_87);
_86+=_87;
}
_7f(_83[i],_80-_86);
}
};
Telerik.Web.UI.RadTabStrip._verticalAlign=function(_88,_89,_8a){
var _8b=$telerik.getChildByClassName(_88,"rtsLevel1");
if(!_8b){
return;
}
var _8c=$telerik.getChildByClassName(_8b,"rtsUL");
if(!_8c){
return;
}
var _8d=0;
if(_89==Telerik.Web.UI.TabStripAlign.Center){
_8d=(_8b.offsetHeight-_8c.offsetHeight)/2;
}
if(_89==Telerik.Web.UI.TabStripAlign.Right){
_8d=_8b.offsetHeight-_8c.offsetHeight;
}
if(_8d>0){
_8c.style.marginTop=_8d+"px";
_88._aligned=true;
}
};
Telerik.Web.UI.RadTabStrip._createChildControls=function(_8e,_8f){
var _90=_8e.get_tabData();
if(!_90){
return;
}
var _91=$telerik.getChildrenByClassName(_8e.get_childListElement(),"rtsLI");
for(var i=0;i<_90.length;i++){
var tab=new Telerik.Web.UI.RadTab();
_8f.add(tab);
var _94=i;
if(typeof (_90[i].index)!=="undefined"){
_94=_90[i].index;
}
tab._initialize(_90[i],_91[_94]);
}
};
Telerik.Web.UI.RadTabStrip.prototype={_initScrolling:function(){
var _95=this;
while(_95){
if(this._tabContainerRequiresScrolling(_95)){
if(_95._scroller){
_95._scroller._showArrows();
var _96=this._getScrollableSize(_95);
var _97=_96-_95._scroller._currentPosition;
if(_97<0){
_95._scroller._scrollTo(_96);
}
_95._scroller.setScrollingLimits(0,_96);
}else{
this._initScrollingForTabContainer(_95);
}
}else{
if(_95._scroller){
_95._scroller._hideArrows();
_95._scroller._scrollTo(0);
}
}
_95=_95.get_selectedTab();
}
this.updateClientState();
},_initScrollingForTabContainer:function(_98){
var _99=Telerik.Web.UI.ScrollerOrientation.Horizontal;
var _9a=0;
if(_98.get_childListElement().style.marginLeft){
_9a=parseInt(_98.get_childListElement().style.marginLeft);
}
if(this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalRight||this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalLeft){
_99=Telerik.Web.UI.ScrollerOrientation.Vertical;
_9a=0;
if(_98.get_childListElement().style.marginTop){
_9a=parseInt(_98.get_childListElement().style.marginTop);
}
}
_98._scroller=new Telerik.Web.UI.TabScroller(_98,_99);
_98._scroller.initialize();
_98._scroller.setScrollingLimits(0,this._getScrollableSize(_98));
_98._scroller._currentPosition=-_9a;
_98._scroller._calculateInitialTab();
_98._scroller._updateArrows();
},_getScrollableSize:function(_9b){
if(this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalRight||this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalLeft){
return this._getTabsSize(_9b,"offsetHeight")-_9b.get_levelElement().offsetHeight;
}
return this._getTabsSize(_9b,"offsetWidth")-_9b.get_levelElement().offsetWidth;
},_getTabsSize:function(_9c,_9d){
var _9e=Telerik.Web.UI.RadTabStrip._getTabGroups(_9c.get_childListElement(),_9d);
var _9f=0;
for(var i=0;i<_9e.length;i++){
if(_9f<_9e[i].size){
_9f=_9e[i].size;
}
}
return _9f;
},_tabContainerRequiresScrolling:function(_a1){
if(!_a1._scrollChildren){
return false;
}
var _a2=_a1.get_levelElement();
if(!_a2){
return false;
}
var _a3=_a2.offsetWidth;
if(this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalRight||this._orientation==Telerik.Web.UI.TabStripOrientation.VerticalLeft){
return _a2.offsetHeight<this._getTabsSize(this,"offsetHeight");
}
return _a2.offsetWidth<this._getTabsSize(_a1,"offsetWidth");
},_createChildControls:function(){
this._children=new Telerik.Web.UI.RadTabCollection(this);
Telerik.Web.UI.RadTabStrip._createChildControls(this,this._children);
},_getLevelElements:function(){
if(!this._levelElements){
this._levelElements=$telerik.getChildrenByTagName(this.get_element(),"div");
}
return this._levelElements;
},_getListElementsForLevel:function(_a4){
return this._listElementsPerLevel[_a4];
},_childInserting:function(_a5,tab,_a7){
if(!_a7._childControlsCreated){
return;
}
this._cachedSelectedTab=_a7.get_selectedTab();
},_childInserted:function(_a8,tab,_aa){
this._allTabs=null;
if(this._cachedSelectedTab){
_aa.set_selectedIndex(this._cachedSelectedTab.get_index());
this._cachedSelectedTab=null;
}
if(tab._cachedSelected){
_aa.set_selectedIndex(_a8);
tab._cachedSelected=false;
}
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childInserted",[_a8,tab,_aa]);
if(tab.get_isBreak()){
var _ab=document.createElement("li");
_ab.className="rtsBreak";
_aa.get_childListElement().insertBefore(_ab,tab.get_element().nextSibling);
}
},_childRemoving:function(tab){
if(tab.get_selected()){
tab.unselect();
}
tab._cleanElements();
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childRemoving",[tab]);
},_childRemoved:function(tab,_ae){
this._allTabs=null;
var _af=_ae.get_tabs().getTab(0);
if(_af){
_af._updateAppearance();
}
var _b0=_ae.get_tabs().getTab(_ae.get_tabs().get_count()-1);
if(_b0){
_b0._updateAppearance();
}
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childRemoved",[tab,_ae]);
},_childrenCleared:function(_b1){
this._allTabs=null;
_b1.get_tabs().forEach(function(tab){
tab._cleanElements();
});
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"_childrenCleared",[_b1]);
},_destroyChildren:function(_b3){
_b3.get_levelElement().removeChild(_b3.get_childListElement());
Array.remove(this._listElementsPerLevel[_b3._getLevelIndex()],_b3.get_childListElement());
if(this._listElementsPerLevel[_b3._getLevelIndex()].length<1){
Array.removeAt(this._listElementsPerLevel,_b3._getLevelIndex());
Array.remove(this._levelElements,_b3.get_levelElement());
this.get_element().removeChild(_b3.get_levelElement());
_b3._levelElement=null;
}
_b3._childListElement=null;
},_destroyChildListElement:function(){
this._destroyChildren(this);
},_ensureElements:function(){
if(!this.get_childListElement()){
this._createChildListElement();
}
},_createLevelElement:function(_b4){
var _b5=document.createElement("div");
var _b6="rtsLevel";
if(this._align==Telerik.Web.UI.TabStripAlign.Center){
_b6+=" rtsCenter";
}
if(this._align==Telerik.Web.UI.TabStripAlign.Right){
_b6+=" rtsRight";
}
_b5.className=_b6+" rtsLevel"+_b4;
if(this._ascendingRendering()){
Array.add(this._listElementsPerLevel,[]);
Array.add(this._levelElements,_b5);
this.get_element().appendChild(_b5);
}else{
Array.insert(this._listElementsPerLevel,0,[]);
Array.insert(this._levelElements,0,_b5);
this.get_element().insertBefore(_b5,this.get_element().firstChild);
}
return _b5;
},_createChildListElement:function(){
var _b7=document.createElement("ul");
_b7.className="rtsUL";
var _b8=this._createLevelElement(1);
_b8.appendChild(_b7);
Array.add(this._listElementsPerLevel[this._getLevelIndex()],_b7);
return _b7;
},_initLevelElements:function(){
this._listElementsPerLevel=[];
var _b9=this._getLevelElements();
for(var i=0;i<_b9.length;i++){
Array.add(this._listElementsPerLevel,$telerik.getChildrenByTagName(_b9[i],"ul"));
}
},_ascendingRendering:function(){
return this._orientation!=Telerik.Web.UI.TabStripOrientation.HorizontalBottom;
},_getLevelIndex:function(){
if(this._ascendingRendering()){
return 0;
}
return this._getLevelElements().length-1;
},_unregisterSelectedTab:function(tab){
Array.remove(this._selectedIndexes,tab._getHierarchicalIndex());
this._updateSelectedState();
},_registerSelectedTab:function(tab){
Array.add(this._selectedIndexes,tab._getHierarchicalIndex());
this._updateSelectedState();
},_updateSelectedState:function(){
this._selectedIndexesJson=Sys.Serialization.JavaScriptSerializer.serialize(this._selectedIndexes);
this.updateClientState();
},_getHierarchicalIndex:function(){
return "-1";
},_updateScrollState:function(_bd,_be){
this._scrollState[_bd._getHierarchicalIndex()]=-_be;
this._scrollStateJson=Sys.Serialization.JavaScriptSerializer.serialize(this._scrollState);
this.updateClientState();
},_postback:function(tab){
if(!this._postBackReference){
return;
}
eval(String.format(this._postBackReference,tab._getHierarchicalIndex()));
},_raiseCancelEvent:function(_c0,tab,_c2){
var _c3=new Telerik.Web.UI.RadTabStripCancelEventArgs(tab,_c2);
this.raiseEvent(_c0,_c3);
return _c3.get_cancel();
},_raiseEvent:function(_c4,tab,_c6){
this.raiseEvent(_c4,new Telerik.Web.UI.RadTabStripEventArgs(tab,_c6));
},_resize:function(e){
if(!this._scrollInitInProgress){
this._initScrolling();
}
this.get_element()._aligned=null;
Telerik.Web.UI.RadTabStrip._align(this.get_id(),this._align,this._orientation);
},_doubleClick:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
this._raiseEvent("doubleClick",tab,e);
},_mouseOver:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
if(this._highlightedTab==tab){
return;
}
if(this._highlightedTab){
this._highlightedTab._unhighlight();
}
tab._highlight();
this._highlightedTab=tab;
this._raiseEvent("mouseOver",tab,e);
},_mouseOut:function(e){
if(!this._highlightedTab){
return;
}
if(!e.eventMapRelatedTarget){
return;
}
if($telerik.isDescendant(this._highlightedTab.get_element(),e.eventMapRelatedTarget)){
return;
}
this._highlightedTab._unhighlight();
this._raiseEvent("mouseOut",this._highlightedTab,e);
this._highlightedTab=null;
},_contextMenu:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
this._raiseEvent("contextMenu",tab,e);
},_click:function(e){
var tab=this._extractItemFromDomElement(e.eventMapTarget);
if(!tab.click(e)){
e.preventDefault();
}
},_activate:function(e){
if(!e.altKey){
return;
}
var tab=this._extractItemFromDomElement(e.eventMapTarget);
tab.click();
},_requiresRtl:function(){
var _d3=this.get_element();
if(_d3.className.indexOf("RadTabStrip_rtl")>-1){
return false;
}
return $telerik.getCurrentStyle(_d3,"direction","ltr")=="rtl";
},_applyRtl:function(){
this.get_element().className=String.format("{0} RadTabStrip_rtl RadTabStrip_{1}_rtl",this.get_element().className,this._skin);
},initialize:function(){
this._initLevelElements();
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"initialize");
Telerik.Web.UI.RadTabStrip._align(this.get_id(),this._align,this._orientation);
this._updateSelectedState();
this._eventMap.addHandlerForClassName("click","rtsLI",this._click);
this._eventMap.addHandlerForClassName("mouseover","rtsLI",this._mouseOver);
this._eventMap.addHandlerForClassName("mouseout","rtsLI",this._mouseOut);
this._eventMap.addHandlerForClassName("contextmenu","rtsLI",this._contextMenu);
this._eventMap.addHandlerForClassName("dblclick","rtsLI",this._doubleClick);
if($telerik.isIE){
this._eventMap.addHandlerForClassName("activate","rtsLI",this._activate);
}
this._resizeDelegate=Function.createDelegate(this,this._resize);
$addHandler(window,"resize",this._resizeDelegate);
if(this._requiresRtl()){
this._applyRtl();
}
this._initScrolling();
this.raiseEvent("load");
},repaint:function(){
this._resize();
},dispose:function(){
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"dispose");
$removeHandler(window,"resize",this._resizeDelegate);
if(this._scroller){
this._scroller.dispose();
}
},commitChanges:function(){
this._logEntriesJson=this._log.serialize();
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"commitChanges");
},set_enabled:function(_d4){
Telerik.Web.UI.RadTabStrip.callBaseMethod(this,"set_enabled",[_d4]);
if(!this.get_isInitialized()){
return;
}
this.get_element().disabled=!_d4;
var _d5=String.format("RadTabStrip_{0}_disabled",this._skin);
this.toggleCssClass(_d5);
},get_causesValidation:function(){
return this._causesValidation;
},set_causesValidation:function(_d6){
this._causesValidation=_d6;
},get_validationGroup:function(){
return this._validationGroup;
},set_validationGroup:function(_d7){
this._validationGroup=_d7;
},get_unselectChildren:function(){
return this._unselectChildren==true;
},set_unselectChildren:function(_d8){
this._unselectChildren=_d8;
},get_selectedIndexes:function(){
return this._selectedIndexes;
},set_selectedIndexes:function(_d9){
this._selectedIndexes=_d9;
},saveClientState:function(){
return "{\"selectedIndexes\":"+this._selectedIndexesJson+",\"logEntries\":"+this._logEntriesJson+",\"scrollState\":"+this._scrollStateJson+"}";
},get_selectedTab:function(){
return this.get_tabs().getTab(this.get_selectedIndex())||null;
},get_selectedIndex:function(){
return this._selectedIndex;
},set_selectedIndex:function(_da){
this._selectedIndex=_da;
},get_levelElement:function(){
if(!this._levelElement){
this._levelElement=this._getLevelElements()[this._getLevelIndex()]||null;
}
return this._levelElement;
},get_childListElement:function(){
if(!this.get_levelElement()){
return null;
}
if(!this._childListElement){
this._childListElement=$telerik.getChildByClassName(this.get_levelElement(),"rtsUL");
}
return this._childListElement;
},get_tabData:function(){
return this._tabData;
},set_tabData:function(_db){
this._tabData=_db;
},get_tabs:function(){
return this._getChildren();
},get_clickSelectedTab:function(){
return this._clickSelectedTab==true;
},set_clickSelectedTab:function(_dc){
this._clickSelectedTab=_dc;
},findTabByText:function(_dd){
return this._findItemByText(_dd);
},findTabByValue:function(_de){
return this._findItemByValue(_de);
},findTabByAttribute:function(_df,_e0){
return this._findItemByAttribute(_df,_e0);
},get_allTabs:function(){
if(!this._allTabs){
this._allTabs=this._getAllItems();
}
return this._allTabs;
},get_multiPage:function(){
if(!this.get_multiPageID()){
return null;
}
return $find(this.get_multiPageID());
},set_multiPageID:function(_e1){
this._multiPageID=_e1;
},get_multiPageID:function(){
return this._multiPageID;
},add_tabSelecting:function(_e2){
this.get_events().addHandler("tabSelecting",_e2);
},remove_tabSelecting:function(_e3){
this.get_events().removeHandler("tabSelecting",_e3);
},add_tabSelected:function(_e4){
this.get_events().addHandler("tabSelected",_e4);
},remove_tabSelected:function(_e5){
this.get_events().removeHandler("tabSelected",_e5);
},add_tabUnSelected:function(_e6){
this.get_events().addHandler("tabUnSelected",_e6);
},remove_tabUnSelected:function(_e7){
this.get_events().removeHandler("tabUnSelected",_e7);
},add_load:function(_e8){
this.get_events().addHandler("load",_e8);
},remove_load:function(_e9){
this.get_events().removeHandler("load",_e9);
},add_mouseOver:function(_ea){
this.get_events().addHandler("mouseOver",_ea);
},remove_mouseOver:function(_eb){
this.get_events().removeHandler("mouseOver",_eb);
},add_mouseOut:function(_ec){
this.get_events().addHandler("mouseOut",_ec);
},remove_mouseOut:function(_ed){
this.get_events().removeHandler("mouseOut",_ed);
},add_contextMenu:function(_ee){
this.get_events().addHandler("contextMenu",_ee);
},remove_contextMenu:function(_ef){
this.get_events().removeHandler("contextMenu",_ef);
},add_doubleClick:function(_f0){
this.get_events().addHandler("doubleClick",_f0);
},remove_doubleClick:function(_f1){
this.get_events().removeHandler("doubleClick",_f1);
}};
Telerik.Web.UI.RadTabStrip.registerClass("Telerik.Web.UI.RadTabStrip",Telerik.Web.UI.ControlItemContainer);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.TabScroller=function(_f2,_f3){
this._owner=_f2;
Telerik.Web.UI.TabScroller.initializeBase(this,[_f2.get_childListElement(),_f2.get_levelElement(),_f3]);
};
Telerik.Web.UI.TabScroller.prototype={_scrollTo:function(_f4){
var _f5="marginLeft";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_f5="marginTop";
}
this._currentPosition=_f4;
this._scrolledElement.style[_f5]=-_f4+"px";
this._raiseEvent("positionChanged",Sys.EventArgs.Empty);
},_createArrow:function(_f6){
var _f7=document.createElement("a");
_f7.className=_f6;
_f7.href="#";
_f7.innerHTML="&nbsp;";
if(!$telerik.isIE){
_f7.style.position="relative";
}
return _f7;
},_applyFloat:function(_f8,_f9){
if($telerik.isIE){
_f8.style.styleFloat=_f9;
}else{
_f8.style.cssFloat=_f9;
}
},_preventDefault:function(e){
e.preventDefault();
},_scrollForward:function(e){
if(this._owner._perTabScrolling){
this._scrollToTab(1);
}else{
this.startScroll(Telerik.Web.UI.ScrollerSpeed.Fast,2);
}
},_stopScroll:function(e){
this.stopScroll();
this._owner._getControl()._updateScrollState(this._owner,this._currentPosition);
},_scrollBackward:function(e){
if(this._owner._perTabScrolling){
this._scrollToTab(-1);
}else{
this.startScroll(Telerik.Web.UI.ScrollerSpeed.Fast,-2);
}
},_positionChanged:function(){
this._updateArrows();
},_updateArrows:function(){
var _fe="rtsPrevArrow";
if(this.isAtMinPosition()){
_fe="rtsPrevArrowDisabled";
}
if(this._previousArrow.className!=_fe){
this._previousArrow.className=_fe;
}
_fe="rtsNextArrow";
if(this.isAtMaxPosition()){
_fe="rtsNextArrowDisabled";
}
if(this._nextArrow.className!=_fe){
this._nextArrow.className=_fe;
}
},_positionArrowsHorizontally:function(_ff){
if(_ff==Telerik.Web.UI.TabStripScrollButtonsPosition.Right){
this._applyFloat(this._nextArrow,"right");
this._applyFloat(this._previousArrow,"right");
this._element.appendChild(this._nextArrow);
this._element.appendChild(this._previousArrow);
}else{
if(_ff==Telerik.Web.UI.TabStripScrollButtonsPosition.Left){
this._applyFloat(this._nextArrow,"left");
this._applyFloat(this._previousArrow,"left");
this._element.appendChild(this._previousArrow);
this._element.appendChild(this._nextArrow);
}else{
this._applyFloat(this._nextArrow,"right");
this._applyFloat(this._previousArrow,"left");
this._element.appendChild(this._previousArrow);
this._element.appendChild(this._nextArrow);
}
}
},_positionArrowsVertically:function(_100){
this._element.style.position="relative";
this._nextArrow.style.position="absolute";
this._previousArrow.style.position="absolute";
this._nextArrow.style.left="0";
this._previousArrow.style.left="0";
this._element.appendChild(this._previousArrow);
this._element.appendChild(this._nextArrow);
if(_100==Telerik.Web.UI.TabStripScrollButtonsPosition.Right){
this._nextArrow.style.bottom="0";
this._previousArrow.style.bottom=this._nextArrow.offsetHeight+"px";
}else{
if(_100==Telerik.Web.UI.TabStripScrollButtonsPosition.Left){
this._previousArrow.style.top="0";
this._nextArrow.style.top=this._previousArrow.offsetHeight+"px";
}else{
this._previousArrow.style.top="0";
this._nextArrow.style.bottom="0";
}
}
},_positionArrows:function(_101){
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Horizontal){
this._positionArrowsHorizontally(_101);
}else{
this._positionArrowsVertically(_101);
}
},_hideArrows:function(){
this._nextArrow.style.display="none";
this._previousArrow.style.display="none";
},_showArrows:function(){
this._nextArrow.style.display="";
this._previousArrow.style.display="";
},_nextScrollPosition:function(_102){
var tabs=this._owner.get_tabs();
var _104="offsetWidth";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_104="offsetHeight";
}
var _105=_102<0?tabs.getTab(this._currentTabIndex+_102).get_element():tabs.getTab(this._currentTabIndex).get_element();
if(_105){
return this._currentPosition+_102*_105[_104];
}
return this._currentPosition;
},setScrollingLimits:function(min,max){
if(!this._owner._perTabScrolling){
var _108="offsetWidth";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_108="offsetHeight";
}
max+=this._getScrollImageSize(_108);
}
Telerik.Web.UI.TabScroller.callBaseMethod(this,"setScrollingLimits",[min,max]);
},_getScrollImageSize:function(_109){
if(this._owner._scrollButtonsPosition==Telerik.Web.UI.TabStripScrollButtonsPosition.Right){
return this._nextArrow[_109]+this._previousArrow[_109];
}
if(this._owner._scrollButtonsPosition==Telerik.Web.UI.TabStripScrollButtonsPosition.Middle){
return this._nextArrow[_109];
}
return 0;
},_scrollToTab:function(_10a){
if(_10a>0&&this.isAtMaxPosition()){
return;
}
if(_10a<0&&this.isAtMinPosition()){
return;
}
var _10b=this._nextScrollPosition(_10a);
if(_10b==this._currentPosition){
return;
}
this._scrollTo(_10b);
this._currentTabIndex+=_10a;
},_calculateInitialTab:function(){
if(!this._owner._perTabScrolling){
return;
}
var size=0;
var tabs=this._owner.get_tabs();
var _10e="offsetWidth";
if(this._orientation==Telerik.Web.UI.ScrollerOrientation.Vertical){
_10e="offsetHeight";
}
while(size<this._currentPosition){
size+=tabs.getTab(this._currentTabIndex).get_element()[_10e];
this._currentTabIndex++;
}
},initialize:function(){
Telerik.Web.UI.TabScroller.callBaseMethod(this,"initialize");
if(this._owner._perTabScrolling){
this._currentTabIndex=0;
}
this._positionChangedDelegate=Function.createDelegate(this,this._positionChanged);
this.add_positionChanged(this._positionChangedDelegate);
this._nextArrow=this._createArrow("rtsNextArrow");
this._previousArrow=this._createArrow("rtsPrevArrow");
this._positionArrows(this._owner._scrollButtonsPosition);
this._nextArrowClickDelegate=Function.createDelegate(this,this._preventDefault);
this._scrollForwardDelegate=Function.createDelegate(this,this._scrollForward);
this._nextArrowMouseUpDelegate=Function.createDelegate(this,this._stopScroll);
$addHandler(this._nextArrow,"click",this._nextArrowClickDelegate);
$addHandler(this._nextArrow,"mousedown",this._scrollForwardDelegate);
$addHandler(this._nextArrow,"mouseup",this._nextArrowMouseUpDelegate);
this._previousArrowClickDelegate=Function.createDelegate(this,this._preventDefault);
this._scrollBackwardDelegate=Function.createDelegate(this,this._scrollBackward);
this._previousArrowMouseUpDelegate=Function.createDelegate(this,this._stopScroll);
$addHandler(this._previousArrow,"click",this._previousArrowClickDelegate);
$addHandler(this._previousArrow,"mousedown",this._scrollBackwardDelegate);
$addHandler(this._previousArrow,"mouseup",this._previousArrowMouseUpDelegate);
},dispose:function(){
Telerik.Web.UI.TabScroller.callBaseMethod(this,"dispose");
$removeHandler(this._nextArrow,"click",this._nextArrowClickDelegate);
$removeHandler(this._nextArrow,"mousedown",this._scrollForwardDelegate);
$removeHandler(this._nextArrow,"mouseup",this._nextArrowMouseUpDelegate);
$removeHandler(this._previousArrow,"click",this._previousArrowClickDelegate);
$removeHandler(this._previousArrow,"mousedown",this._scrollBackwardDelegate);
$removeHandler(this._previousArrow,"mouseup",this._previousArrowMouseUpDelegate);
this._nextArrow=null;
this._previousArrow=null;
}};
Telerik.Web.UI.TabScroller.registerClass("Telerik.Web.UI.TabScroller",Telerik.Web.UI.Scroller);

